Logo AND Algorithmique Numérique Distribuée

Public GIT Repository
Remove trailing space to jardir definition since it sometimes survives and create...
[simgrid.git] / testsuite / Makefile.in
1 # Makefile.in generated by automake 1.10.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994, 1995, 1996, 1997, 1998, 1999, 2000, 2001, 2002,
5 # 2003, 2004, 2005, 2006, 2007, 2008  Free Software Foundation, Inc.
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16
17 # Copyright (c) 2004-2007. The SimGrid team. All right reserved.
18
19 # This file is part of the SimGrid project. This is free software:
20 # You can redistribute and/or modify it under the terms of the
21 # GNU LGPL (v2.1) licence.
22
23 # Makefile chunk which allows to display the files which should be included
24 # into the distribution.
25
26 # It is intended to be included in all Makefile.am 
27 VPATH = @srcdir@
28 pkgdatadir = $(datadir)/@PACKAGE@
29 pkglibdir = $(libdir)/@PACKAGE@
30 pkgincludedir = $(includedir)/@PACKAGE@
31 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
32 install_sh_DATA = $(install_sh) -c -m 644
33 install_sh_PROGRAM = $(install_sh) -c
34 install_sh_SCRIPT = $(install_sh) -c
35 INSTALL_HEADER = $(INSTALL_DATA)
36 transform = $(program_transform_name)
37 NORMAL_INSTALL = :
38 PRE_INSTALL = :
39 POST_INSTALL = :
40 NORMAL_UNINSTALL = :
41 PRE_UNINSTALL = :
42 POST_UNINSTALL = :
43 build_triplet = @build@
44 host_triplet = @host@
45 target_triplet = @target@
46 check_PROGRAMS = $(am__EXEEXT_1) $(am__EXEEXT_2) $(am__EXEEXT_3)
47 DIST_COMMON = $(srcdir)/Makefile.am $(srcdir)/Makefile.in \
48         $(srcdir)/run_tests.in $(top_srcdir)/acmacro/dist-files.mk
49 subdir = testsuite
50 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
51 am__aclocal_m4_deps = $(top_srcdir)/acmacro/ac_func_snprintf.m4 \
52         $(top_srcdir)/acmacro/compiler-flags.m4 \
53         $(top_srcdir)/acmacro/context.m4 \
54         $(top_srcdir)/acmacro/fancy_configury.m4 \
55         $(top_srcdir)/acmacro/flex.m4 \
56         $(top_srcdir)/acmacro/gras_arch.m4 \
57         $(top_srcdir)/acmacro/print_null.m4 \
58         $(top_srcdir)/acmacro/va_copy.m4 $(top_srcdir)/configure.ac
59 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
60         $(ACLOCAL_M4)
61 mkinstalldirs = $(install_sh) -d
62 CONFIG_HEADER = $(top_builddir)/src/gras_config.h
63 CONFIG_CLEAN_FILES = run_tests
64 am__EXEEXT_1 = xbt/log_usage$(EXEEXT) xbt/heap_bench$(EXEEXT) \
65         xbt/graphxml_usage$(EXEEXT) xbt/context_usage$(EXEEXT)
66 am__EXEEXT_2 = surf/maxmin_bench$(EXEEXT) surf/lmm_usage$(EXEEXT) \
67         surf/trace_usage$(EXEEXT) surf/surf_usage$(EXEEXT) \
68         surf/surf_usage2$(EXEEXT)
69 am__EXEEXT_3 = simdag/sd_test$(EXEEXT)
70 simdag_sd_test_SOURCES = simdag/sd_test.c
71 simdag_sd_test_OBJECTS = sd_test.$(OBJEXT)
72 simdag_sd_test_DEPENDENCIES = $(LDADD_SG)
73 am__dirstamp = $(am__leading_dot)dirstamp
74 surf_lmm_usage_SOURCES = surf/lmm_usage.c
75 surf_lmm_usage_OBJECTS = lmm_usage.$(OBJEXT)
76 surf_lmm_usage_DEPENDENCIES = $(LDADD_SG)
77 surf_maxmin_bench_SOURCES = surf/maxmin_bench.c
78 surf_maxmin_bench_OBJECTS = maxmin_bench.$(OBJEXT)
79 surf_maxmin_bench_DEPENDENCIES = $(LDADD_SG)
80 surf_surf_usage_SOURCES = surf/surf_usage.c
81 surf_surf_usage_OBJECTS = surf_usage.$(OBJEXT)
82 surf_surf_usage_DEPENDENCIES = $(LDADD_SG)
83 surf_surf_usage2_SOURCES = surf/surf_usage2.c
84 surf_surf_usage2_OBJECTS = surf_usage2.$(OBJEXT)
85 surf_surf_usage2_DEPENDENCIES = $(LDADD_SG)
86 surf_trace_usage_SOURCES = surf/trace_usage.c
87 surf_trace_usage_OBJECTS = trace_usage.$(OBJEXT)
88 surf_trace_usage_DEPENDENCIES = $(LDADD_SG)
89 xbt_context_usage_SOURCES = xbt/context_usage.c
90 xbt_context_usage_OBJECTS = context_usage.$(OBJEXT)
91 xbt_context_usage_DEPENDENCIES = $(LDADD_SG)
92 xbt_graphxml_usage_SOURCES = xbt/graphxml_usage.c
93 xbt_graphxml_usage_OBJECTS = graphxml_usage.$(OBJEXT)
94 xbt_graphxml_usage_DEPENDENCIES = $(LDADD_SG)
95 xbt_heap_bench_SOURCES = xbt/heap_bench.c
96 xbt_heap_bench_OBJECTS = heap_bench.$(OBJEXT)
97 xbt_heap_bench_DEPENDENCIES = $(LDADD_RL)
98 xbt_log_usage_SOURCES = xbt/log_usage.c
99 xbt_log_usage_OBJECTS = log_usage.$(OBJEXT)
100 xbt_log_usage_DEPENDENCIES = $(LDADD_RL)
101 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)/src
102 depcomp = $(SHELL) $(top_srcdir)/depcomp
103 am__depfiles_maybe = depfiles
104 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
105         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
106 LTCOMPILE = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
107         --mode=compile $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) \
108         $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
109 CCLD = $(CC)
110 LINK = $(LIBTOOL) --tag=CC $(AM_LIBTOOLFLAGS) $(LIBTOOLFLAGS) \
111         --mode=link $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
112         $(LDFLAGS) -o $@
113 SOURCES = simdag/sd_test.c surf/lmm_usage.c surf/maxmin_bench.c \
114         surf/surf_usage.c surf/surf_usage2.c surf/trace_usage.c \
115         xbt/context_usage.c xbt/graphxml_usage.c xbt/heap_bench.c \
116         xbt/log_usage.c
117 DIST_SOURCES = simdag/sd_test.c surf/lmm_usage.c surf/maxmin_bench.c \
118         surf/surf_usage.c surf/surf_usage2.c surf/trace_usage.c \
119         xbt/context_usage.c xbt/graphxml_usage.c xbt/heap_bench.c \
120         xbt/log_usage.c
121 ETAGS = etags
122 CTAGS = ctags
123 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
124 ACLOCAL = @ACLOCAL@
125 ADDR2LINE = @ADDR2LINE@
126 AMTAR = @AMTAR@
127 AM_CPPFLAGS = @AM_CPPFLAGS@
128 AR = @AR@
129 AS = @AS@
130 AUTOCONF = @AUTOCONF@
131 AUTOHEADER = @AUTOHEADER@
132 AUTOMAKE = @AUTOMAKE@
133 AWK = @AWK@
134 BASH = @BASH@
135 CC = @CC@
136 CCDEPMODE = @CCDEPMODE@
137 CFLAGS = @CFLAGS@
138 CPP = @CPP@
139 CPPFLAGS = @CPPFLAGS@
140 CXX = @CXX@
141 CXXCPP = @CXXCPP@
142 CXXDEPMODE = @CXXDEPMODE@
143 CXXFLAGS = @CXXFLAGS@
144 CYGPATH_W = @CYGPATH_W@
145 DEFS = @DEFS@
146 DEPDIR = @DEPDIR@
147 DLLTOOL = @DLLTOOL@
148 DOXYGEN = @DOXYGEN@
149 DSYMUTIL = @DSYMUTIL@
150 ECHO = @ECHO@
151 ECHO_C = @ECHO_C@
152 ECHO_N = @ECHO_N@
153 ECHO_T = @ECHO_T@
154 EGREP = @EGREP@
155 EXEEXT = @EXEEXT@
156 FLEXML = @FLEXML@
157 GCJ = @GCJ@
158 GCJDEPMODE = @GCJDEPMODE@
159 GCJFLAGS = @GCJFLAGS@
160 GRAS_DEP = @GRAS_DEP@
161 GREP = @GREP@
162 INSTALL = @INSTALL@
163 INSTALL_DATA = @INSTALL_DATA@
164 INSTALL_PROGRAM = @INSTALL_PROGRAM@
165 INSTALL_SCRIPT = @INSTALL_SCRIPT@
166 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
167 JAR = @JAR@
168 JAVA = @JAVA@
169 JAVAC = @JAVAC@
170 LDFLAGS = @LDFLAGS@
171 LD_DYNAMIC_FLAGS = @LD_DYNAMIC_FLAGS@
172 LEX = @LEX@
173 LEXLIB = @LEXLIB@
174 LEX_OUTPUT_ROOT = @LEX_OUTPUT_ROOT@
175 LIBOBJS = @LIBOBJS@
176 LIBS = @LIBS@
177 LIBTOOL = @LIBTOOL@
178 LN_S = @LN_S@
179 LTLIBOBJS = @LTLIBOBJS@
180 MAINT = @MAINT@
181 MAKEINFO = @MAKEINFO@
182 MKDIR_P = @MKDIR_P@
183 NMEDIT = @NMEDIT@
184 OBJDUMP = @OBJDUMP@
185 OBJEXT = @OBJEXT@
186 PACKAGE = @PACKAGE@
187 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
188 PACKAGE_NAME = @PACKAGE_NAME@
189 PACKAGE_STRING = @PACKAGE_STRING@
190 PACKAGE_TARNAME = @PACKAGE_TARNAME@
191 PACKAGE_VERSION = @PACKAGE_VERSION@
192 PATH_SEPARATOR = @PATH_SEPARATOR@
193 PTH_STACK_GROWTH = @PTH_STACK_GROWTH@
194 RANLIB = @RANLIB@
195 SED = @SED@
196 SET_MAKE = @SET_MAKE@
197 SHELL = @SHELL@
198 SIMGRID_DEP = @SIMGRID_DEP@
199 SMPI_DEP = @SMPI_DEP@
200 STRIP = @STRIP@
201 VERSION = @VERSION@
202 WARNING = @WARNING@
203 abs_builddir = @abs_builddir@
204 abs_srcdir = @abs_srcdir@
205 abs_top_builddir = @abs_top_builddir@
206 abs_top_srcdir = @abs_top_srcdir@
207 ac_configure_args = @ac_configure_args@
208 ac_ct_CC = @ac_ct_CC@
209 ac_ct_CXX = @ac_ct_CXX@
210 am__include = @am__include@
211 am__leading_dot = @am__leading_dot@
212 am__quote = @am__quote@
213 am__tar = @am__tar@
214 am__untar = @am__untar@
215 bindir = @bindir@
216 build = @build@
217 build_alias = @build_alias@
218 build_cpu = @build_cpu@
219 build_id = @build_id@
220 build_os = @build_os@
221 build_vendor = @build_vendor@
222 builddir = @builddir@
223 datadir = @datadir@
224 datarootdir = @datarootdir@
225 docdir = @docdir@
226 dvidir = @dvidir@
227 exec_prefix = @exec_prefix@
228 host = @host@
229 host_alias = @host_alias@
230 host_cpu = @host_cpu@
231 host_os = @host_os@
232 host_vendor = @host_vendor@
233 htmldir = @htmldir@
234 includedir = @includedir@
235 infodir = @infodir@
236 install_sh = @install_sh@
237 libdir = @libdir@
238 libexecdir = @libexecdir@
239 localedir = @localedir@
240 localstatedir = @localstatedir@
241 mandir = @mandir@
242 mkdir_p = @mkdir_p@
243 oldincludedir = @oldincludedir@
244 pdfdir = @pdfdir@
245 prefix = @prefix@
246 program_transform_name = @program_transform_name@
247 psdir = @psdir@
248 pth_skaddr_makecontext = @pth_skaddr_makecontext@
249 pth_sksize_makecontext = @pth_sksize_makecontext@
250 sbindir = @sbindir@
251 sharedstatedir = @sharedstatedir@
252 srcdir = @srcdir@
253 sysconfdir = @sysconfdir@
254 target = @target@
255 target_alias = @target_alias@
256 target_cpu = @target_cpu@
257 target_os = @target_os@
258 target_vendor = @target_vendor@
259 top_builddir = @top_builddir@
260 top_srcdir = @top_srcdir@
261 INCLUDES = -I$(top_srcdir)/include -I$(top_srcdir)/src -I$(top_srcdir)/src/include
262 AM_CFLAGS = -g
263 CLEANFILES = *~ test a.out *.o testgraph.xml testgraph.dot
264 DISTCLEANFILES = gras/.libs/* xbt/.libs/* surf/.libs/* msg/.libs/* simdag/.libs/*
265 EXTRA_DIST = run_tests.in \
266   xbt/graph.xml \
267   surf/trace_A.txt surf/trace_B.txt surf/trace_A_failure.txt surf/platform.xml\
268   simdag/availability_tremblay.txt simdag/small_platform_variable.xml
269
270
271 # Test stuff
272 xbt_tests = \
273         xbt/log_usage                                            \
274         xbt/heap_bench                                           \
275         xbt/graphxml_usage                                       \
276         xbt/context_usage                                        
277
278 SG_tests = \
279         surf/maxmin_bench surf/lmm_usage \
280         surf/trace_usage surf/surf_usage surf/surf_usage2
281
282 simdag_tests = simdag/sd_test
283 check_SCRIPTS = run_tests 
284 TESTS = run_tests
285
286 # LDADD_UTILS is still a separate var to distinguish core tester from RL tester
287 LDADD_SG = $(abs_top_builddir)/src/libsimgrid.la 
288 LDADD_RL = $(abs_top_builddir)/src/libgras.la   
289 xbt_log_usage_LDADD = $(LDADD_RL)
290 xbt_heap_bench_LDADD = $(LDADD_RL)
291 xbt_graphxml_usage_LDADD = $(LDADD_SG)
292 xbt_context_usage_LDADD = $(LDADD_SG)
293 surf_maxmin_bench_LDADD = $(LDADD_SG)
294 surf_lmm_usage_LDADD = $(LDADD_SG)
295 surf_trace_usage_LDADD = $(LDADD_SG)
296 surf_surf_usage_LDADD = $(LDADD_SG)
297 surf_surf_usage2_LDADD = $(LDADD_SG)
298 simdag_sd_test_LDADD = $(LDADD_SG)
299 all: all-am
300
301 .SUFFIXES:
302 .SUFFIXES: .c .lo .o .obj
303 $(srcdir)/Makefile.in: @MAINTAINER_MODE_TRUE@ $(srcdir)/Makefile.am $(top_srcdir)/acmacro/dist-files.mk $(am__configure_deps)
304         @for dep in $?; do \
305           case '$(am__configure_deps)' in \
306             *$$dep*) \
307               cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh \
308                 && exit 0; \
309               exit 1;; \
310           esac; \
311         done; \
312         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu  testsuite/Makefile'; \
313         cd $(top_srcdir) && \
314           $(AUTOMAKE) --gnu  testsuite/Makefile
315 .PRECIOUS: Makefile
316 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
317         @case '$?' in \
318           *config.status*) \
319             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
320           *) \
321             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
322             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
323         esac;
324
325 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
326         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
327
328 $(top_srcdir)/configure: @MAINTAINER_MODE_TRUE@ $(am__configure_deps)
329         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
330 $(ACLOCAL_M4): @MAINTAINER_MODE_TRUE@ $(am__aclocal_m4_deps)
331         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
332 run_tests: $(top_builddir)/config.status $(srcdir)/run_tests.in
333         cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@
334
335 clean-checkPROGRAMS:
336         @list='$(check_PROGRAMS)'; for p in $$list; do \
337           f=`echo $$p|sed 's/$(EXEEXT)$$//'`; \
338           echo " rm -f $$p $$f"; \
339           rm -f $$p $$f ; \
340         done
341 simdag/$(am__dirstamp):
342         @$(MKDIR_P) simdag
343         @: > simdag/$(am__dirstamp)
344 simdag/sd_test$(EXEEXT): $(simdag_sd_test_OBJECTS) $(simdag_sd_test_DEPENDENCIES) simdag/$(am__dirstamp)
345         @rm -f simdag/sd_test$(EXEEXT)
346         $(LINK) $(simdag_sd_test_OBJECTS) $(simdag_sd_test_LDADD) $(LIBS)
347 surf/$(am__dirstamp):
348         @$(MKDIR_P) surf
349         @: > surf/$(am__dirstamp)
350 surf/lmm_usage$(EXEEXT): $(surf_lmm_usage_OBJECTS) $(surf_lmm_usage_DEPENDENCIES) surf/$(am__dirstamp)
351         @rm -f surf/lmm_usage$(EXEEXT)
352         $(LINK) $(surf_lmm_usage_OBJECTS) $(surf_lmm_usage_LDADD) $(LIBS)
353 surf/maxmin_bench$(EXEEXT): $(surf_maxmin_bench_OBJECTS) $(surf_maxmin_bench_DEPENDENCIES) surf/$(am__dirstamp)
354         @rm -f surf/maxmin_bench$(EXEEXT)
355         $(LINK) $(surf_maxmin_bench_OBJECTS) $(surf_maxmin_bench_LDADD) $(LIBS)
356 surf/surf_usage$(EXEEXT): $(surf_surf_usage_OBJECTS) $(surf_surf_usage_DEPENDENCIES) surf/$(am__dirstamp)
357         @rm -f surf/surf_usage$(EXEEXT)
358         $(LINK) $(surf_surf_usage_OBJECTS) $(surf_surf_usage_LDADD) $(LIBS)
359 surf/surf_usage2$(EXEEXT): $(surf_surf_usage2_OBJECTS) $(surf_surf_usage2_DEPENDENCIES) surf/$(am__dirstamp)
360         @rm -f surf/surf_usage2$(EXEEXT)
361         $(LINK) $(surf_surf_usage2_OBJECTS) $(surf_surf_usage2_LDADD) $(LIBS)
362 surf/trace_usage$(EXEEXT): $(surf_trace_usage_OBJECTS) $(surf_trace_usage_DEPENDENCIES) surf/$(am__dirstamp)
363         @rm -f surf/trace_usage$(EXEEXT)
364         $(LINK) $(surf_trace_usage_OBJECTS) $(surf_trace_usage_LDADD) $(LIBS)
365 xbt/$(am__dirstamp):
366         @$(MKDIR_P) xbt
367         @: > xbt/$(am__dirstamp)
368 xbt/context_usage$(EXEEXT): $(xbt_context_usage_OBJECTS) $(xbt_context_usage_DEPENDENCIES) xbt/$(am__dirstamp)
369         @rm -f xbt/context_usage$(EXEEXT)
370         $(LINK) $(xbt_context_usage_OBJECTS) $(xbt_context_usage_LDADD) $(LIBS)
371 xbt/graphxml_usage$(EXEEXT): $(xbt_graphxml_usage_OBJECTS) $(xbt_graphxml_usage_DEPENDENCIES) xbt/$(am__dirstamp)
372         @rm -f xbt/graphxml_usage$(EXEEXT)
373         $(LINK) $(xbt_graphxml_usage_OBJECTS) $(xbt_graphxml_usage_LDADD) $(LIBS)
374 xbt/heap_bench$(EXEEXT): $(xbt_heap_bench_OBJECTS) $(xbt_heap_bench_DEPENDENCIES) xbt/$(am__dirstamp)
375         @rm -f xbt/heap_bench$(EXEEXT)
376         $(LINK) $(xbt_heap_bench_OBJECTS) $(xbt_heap_bench_LDADD) $(LIBS)
377 xbt/log_usage$(EXEEXT): $(xbt_log_usage_OBJECTS) $(xbt_log_usage_DEPENDENCIES) xbt/$(am__dirstamp)
378         @rm -f xbt/log_usage$(EXEEXT)
379         $(LINK) $(xbt_log_usage_OBJECTS) $(xbt_log_usage_LDADD) $(LIBS)
380
381 mostlyclean-compile:
382         -rm -f *.$(OBJEXT)
383
384 distclean-compile:
385         -rm -f *.tab.c
386
387 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/context_usage.Po@am__quote@
388 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/graphxml_usage.Po@am__quote@
389 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/heap_bench.Po@am__quote@
390 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/lmm_usage.Po@am__quote@
391 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/log_usage.Po@am__quote@
392 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/maxmin_bench.Po@am__quote@
393 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/sd_test.Po@am__quote@
394 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/surf_usage.Po@am__quote@
395 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/surf_usage2.Po@am__quote@
396 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/trace_usage.Po@am__quote@
397
398 .c.o:
399 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
400 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
401 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
402 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
403 @am__fastdepCC_FALSE@   $(COMPILE) -c $<
404
405 .c.obj:
406 @am__fastdepCC_TRUE@    $(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
407 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
408 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
409 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
410 @am__fastdepCC_FALSE@   $(COMPILE) -c `$(CYGPATH_W) '$<'`
411
412 .c.lo:
413 @am__fastdepCC_TRUE@    $(LTCOMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
414 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Plo
415 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='$<' object='$@' libtool=yes @AMDEPBACKSLASH@
416 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
417 @am__fastdepCC_FALSE@   $(LTCOMPILE) -c -o $@ $<
418
419 sd_test.o: simdag/sd_test.c
420 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sd_test.o -MD -MP -MF $(DEPDIR)/sd_test.Tpo -c -o sd_test.o `test -f 'simdag/sd_test.c' || echo '$(srcdir)/'`simdag/sd_test.c
421 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/sd_test.Tpo $(DEPDIR)/sd_test.Po
422 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/sd_test.c' object='sd_test.o' libtool=no @AMDEPBACKSLASH@
423 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
424 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sd_test.o `test -f 'simdag/sd_test.c' || echo '$(srcdir)/'`simdag/sd_test.c
425
426 sd_test.obj: simdag/sd_test.c
427 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT sd_test.obj -MD -MP -MF $(DEPDIR)/sd_test.Tpo -c -o sd_test.obj `if test -f 'simdag/sd_test.c'; then $(CYGPATH_W) 'simdag/sd_test.c'; else $(CYGPATH_W) '$(srcdir)/simdag/sd_test.c'; fi`
428 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/sd_test.Tpo $(DEPDIR)/sd_test.Po
429 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='simdag/sd_test.c' object='sd_test.obj' libtool=no @AMDEPBACKSLASH@
430 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
431 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o sd_test.obj `if test -f 'simdag/sd_test.c'; then $(CYGPATH_W) 'simdag/sd_test.c'; else $(CYGPATH_W) '$(srcdir)/simdag/sd_test.c'; fi`
432
433 lmm_usage.o: surf/lmm_usage.c
434 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT lmm_usage.o -MD -MP -MF $(DEPDIR)/lmm_usage.Tpo -c -o lmm_usage.o `test -f 'surf/lmm_usage.c' || echo '$(srcdir)/'`surf/lmm_usage.c
435 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/lmm_usage.Tpo $(DEPDIR)/lmm_usage.Po
436 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/lmm_usage.c' object='lmm_usage.o' libtool=no @AMDEPBACKSLASH@
437 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
438 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o lmm_usage.o `test -f 'surf/lmm_usage.c' || echo '$(srcdir)/'`surf/lmm_usage.c
439
440 lmm_usage.obj: surf/lmm_usage.c
441 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT lmm_usage.obj -MD -MP -MF $(DEPDIR)/lmm_usage.Tpo -c -o lmm_usage.obj `if test -f 'surf/lmm_usage.c'; then $(CYGPATH_W) 'surf/lmm_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/lmm_usage.c'; fi`
442 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/lmm_usage.Tpo $(DEPDIR)/lmm_usage.Po
443 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/lmm_usage.c' object='lmm_usage.obj' libtool=no @AMDEPBACKSLASH@
444 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
445 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o lmm_usage.obj `if test -f 'surf/lmm_usage.c'; then $(CYGPATH_W) 'surf/lmm_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/lmm_usage.c'; fi`
446
447 maxmin_bench.o: surf/maxmin_bench.c
448 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT maxmin_bench.o -MD -MP -MF $(DEPDIR)/maxmin_bench.Tpo -c -o maxmin_bench.o `test -f 'surf/maxmin_bench.c' || echo '$(srcdir)/'`surf/maxmin_bench.c
449 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/maxmin_bench.Tpo $(DEPDIR)/maxmin_bench.Po
450 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/maxmin_bench.c' object='maxmin_bench.o' libtool=no @AMDEPBACKSLASH@
451 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
452 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o maxmin_bench.o `test -f 'surf/maxmin_bench.c' || echo '$(srcdir)/'`surf/maxmin_bench.c
453
454 maxmin_bench.obj: surf/maxmin_bench.c
455 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT maxmin_bench.obj -MD -MP -MF $(DEPDIR)/maxmin_bench.Tpo -c -o maxmin_bench.obj `if test -f 'surf/maxmin_bench.c'; then $(CYGPATH_W) 'surf/maxmin_bench.c'; else $(CYGPATH_W) '$(srcdir)/surf/maxmin_bench.c'; fi`
456 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/maxmin_bench.Tpo $(DEPDIR)/maxmin_bench.Po
457 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/maxmin_bench.c' object='maxmin_bench.obj' libtool=no @AMDEPBACKSLASH@
458 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
459 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o maxmin_bench.obj `if test -f 'surf/maxmin_bench.c'; then $(CYGPATH_W) 'surf/maxmin_bench.c'; else $(CYGPATH_W) '$(srcdir)/surf/maxmin_bench.c'; fi`
460
461 surf_usage.o: surf/surf_usage.c
462 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT surf_usage.o -MD -MP -MF $(DEPDIR)/surf_usage.Tpo -c -o surf_usage.o `test -f 'surf/surf_usage.c' || echo '$(srcdir)/'`surf/surf_usage.c
463 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/surf_usage.Tpo $(DEPDIR)/surf_usage.Po
464 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/surf_usage.c' object='surf_usage.o' libtool=no @AMDEPBACKSLASH@
465 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
466 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o surf_usage.o `test -f 'surf/surf_usage.c' || echo '$(srcdir)/'`surf/surf_usage.c
467
468 surf_usage.obj: surf/surf_usage.c
469 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT surf_usage.obj -MD -MP -MF $(DEPDIR)/surf_usage.Tpo -c -o surf_usage.obj `if test -f 'surf/surf_usage.c'; then $(CYGPATH_W) 'surf/surf_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/surf_usage.c'; fi`
470 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/surf_usage.Tpo $(DEPDIR)/surf_usage.Po
471 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/surf_usage.c' object='surf_usage.obj' libtool=no @AMDEPBACKSLASH@
472 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
473 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o surf_usage.obj `if test -f 'surf/surf_usage.c'; then $(CYGPATH_W) 'surf/surf_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/surf_usage.c'; fi`
474
475 surf_usage2.o: surf/surf_usage2.c
476 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT surf_usage2.o -MD -MP -MF $(DEPDIR)/surf_usage2.Tpo -c -o surf_usage2.o `test -f 'surf/surf_usage2.c' || echo '$(srcdir)/'`surf/surf_usage2.c
477 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/surf_usage2.Tpo $(DEPDIR)/surf_usage2.Po
478 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/surf_usage2.c' object='surf_usage2.o' libtool=no @AMDEPBACKSLASH@
479 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
480 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o surf_usage2.o `test -f 'surf/surf_usage2.c' || echo '$(srcdir)/'`surf/surf_usage2.c
481
482 surf_usage2.obj: surf/surf_usage2.c
483 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT surf_usage2.obj -MD -MP -MF $(DEPDIR)/surf_usage2.Tpo -c -o surf_usage2.obj `if test -f 'surf/surf_usage2.c'; then $(CYGPATH_W) 'surf/surf_usage2.c'; else $(CYGPATH_W) '$(srcdir)/surf/surf_usage2.c'; fi`
484 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/surf_usage2.Tpo $(DEPDIR)/surf_usage2.Po
485 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/surf_usage2.c' object='surf_usage2.obj' libtool=no @AMDEPBACKSLASH@
486 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
487 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o surf_usage2.obj `if test -f 'surf/surf_usage2.c'; then $(CYGPATH_W) 'surf/surf_usage2.c'; else $(CYGPATH_W) '$(srcdir)/surf/surf_usage2.c'; fi`
488
489 trace_usage.o: surf/trace_usage.c
490 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trace_usage.o -MD -MP -MF $(DEPDIR)/trace_usage.Tpo -c -o trace_usage.o `test -f 'surf/trace_usage.c' || echo '$(srcdir)/'`surf/trace_usage.c
491 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/trace_usage.Tpo $(DEPDIR)/trace_usage.Po
492 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/trace_usage.c' object='trace_usage.o' libtool=no @AMDEPBACKSLASH@
493 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
494 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trace_usage.o `test -f 'surf/trace_usage.c' || echo '$(srcdir)/'`surf/trace_usage.c
495
496 trace_usage.obj: surf/trace_usage.c
497 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT trace_usage.obj -MD -MP -MF $(DEPDIR)/trace_usage.Tpo -c -o trace_usage.obj `if test -f 'surf/trace_usage.c'; then $(CYGPATH_W) 'surf/trace_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/trace_usage.c'; fi`
498 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/trace_usage.Tpo $(DEPDIR)/trace_usage.Po
499 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='surf/trace_usage.c' object='trace_usage.obj' libtool=no @AMDEPBACKSLASH@
500 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
501 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o trace_usage.obj `if test -f 'surf/trace_usage.c'; then $(CYGPATH_W) 'surf/trace_usage.c'; else $(CYGPATH_W) '$(srcdir)/surf/trace_usage.c'; fi`
502
503 context_usage.o: xbt/context_usage.c
504 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT context_usage.o -MD -MP -MF $(DEPDIR)/context_usage.Tpo -c -o context_usage.o `test -f 'xbt/context_usage.c' || echo '$(srcdir)/'`xbt/context_usage.c
505 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/context_usage.Tpo $(DEPDIR)/context_usage.Po
506 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/context_usage.c' object='context_usage.o' libtool=no @AMDEPBACKSLASH@
507 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
508 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o context_usage.o `test -f 'xbt/context_usage.c' || echo '$(srcdir)/'`xbt/context_usage.c
509
510 context_usage.obj: xbt/context_usage.c
511 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT context_usage.obj -MD -MP -MF $(DEPDIR)/context_usage.Tpo -c -o context_usage.obj `if test -f 'xbt/context_usage.c'; then $(CYGPATH_W) 'xbt/context_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/context_usage.c'; fi`
512 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/context_usage.Tpo $(DEPDIR)/context_usage.Po
513 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/context_usage.c' object='context_usage.obj' libtool=no @AMDEPBACKSLASH@
514 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
515 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o context_usage.obj `if test -f 'xbt/context_usage.c'; then $(CYGPATH_W) 'xbt/context_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/context_usage.c'; fi`
516
517 graphxml_usage.o: xbt/graphxml_usage.c
518 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT graphxml_usage.o -MD -MP -MF $(DEPDIR)/graphxml_usage.Tpo -c -o graphxml_usage.o `test -f 'xbt/graphxml_usage.c' || echo '$(srcdir)/'`xbt/graphxml_usage.c
519 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/graphxml_usage.Tpo $(DEPDIR)/graphxml_usage.Po
520 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/graphxml_usage.c' object='graphxml_usage.o' libtool=no @AMDEPBACKSLASH@
521 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
522 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o graphxml_usage.o `test -f 'xbt/graphxml_usage.c' || echo '$(srcdir)/'`xbt/graphxml_usage.c
523
524 graphxml_usage.obj: xbt/graphxml_usage.c
525 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT graphxml_usage.obj -MD -MP -MF $(DEPDIR)/graphxml_usage.Tpo -c -o graphxml_usage.obj `if test -f 'xbt/graphxml_usage.c'; then $(CYGPATH_W) 'xbt/graphxml_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/graphxml_usage.c'; fi`
526 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/graphxml_usage.Tpo $(DEPDIR)/graphxml_usage.Po
527 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/graphxml_usage.c' object='graphxml_usage.obj' libtool=no @AMDEPBACKSLASH@
528 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
529 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o graphxml_usage.obj `if test -f 'xbt/graphxml_usage.c'; then $(CYGPATH_W) 'xbt/graphxml_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/graphxml_usage.c'; fi`
530
531 heap_bench.o: xbt/heap_bench.c
532 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT heap_bench.o -MD -MP -MF $(DEPDIR)/heap_bench.Tpo -c -o heap_bench.o `test -f 'xbt/heap_bench.c' || echo '$(srcdir)/'`xbt/heap_bench.c
533 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/heap_bench.Tpo $(DEPDIR)/heap_bench.Po
534 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/heap_bench.c' object='heap_bench.o' libtool=no @AMDEPBACKSLASH@
535 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
536 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o heap_bench.o `test -f 'xbt/heap_bench.c' || echo '$(srcdir)/'`xbt/heap_bench.c
537
538 heap_bench.obj: xbt/heap_bench.c
539 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT heap_bench.obj -MD -MP -MF $(DEPDIR)/heap_bench.Tpo -c -o heap_bench.obj `if test -f 'xbt/heap_bench.c'; then $(CYGPATH_W) 'xbt/heap_bench.c'; else $(CYGPATH_W) '$(srcdir)/xbt/heap_bench.c'; fi`
540 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/heap_bench.Tpo $(DEPDIR)/heap_bench.Po
541 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/heap_bench.c' object='heap_bench.obj' libtool=no @AMDEPBACKSLASH@
542 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
543 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o heap_bench.obj `if test -f 'xbt/heap_bench.c'; then $(CYGPATH_W) 'xbt/heap_bench.c'; else $(CYGPATH_W) '$(srcdir)/xbt/heap_bench.c'; fi`
544
545 log_usage.o: xbt/log_usage.c
546 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT log_usage.o -MD -MP -MF $(DEPDIR)/log_usage.Tpo -c -o log_usage.o `test -f 'xbt/log_usage.c' || echo '$(srcdir)/'`xbt/log_usage.c
547 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/log_usage.Tpo $(DEPDIR)/log_usage.Po
548 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/log_usage.c' object='log_usage.o' libtool=no @AMDEPBACKSLASH@
549 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
550 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o log_usage.o `test -f 'xbt/log_usage.c' || echo '$(srcdir)/'`xbt/log_usage.c
551
552 log_usage.obj: xbt/log_usage.c
553 @am__fastdepCC_TRUE@    $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -MT log_usage.obj -MD -MP -MF $(DEPDIR)/log_usage.Tpo -c -o log_usage.obj `if test -f 'xbt/log_usage.c'; then $(CYGPATH_W) 'xbt/log_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/log_usage.c'; fi`
554 @am__fastdepCC_TRUE@    mv -f $(DEPDIR)/log_usage.Tpo $(DEPDIR)/log_usage.Po
555 @AMDEP_TRUE@@am__fastdepCC_FALSE@       source='xbt/log_usage.c' object='log_usage.obj' libtool=no @AMDEPBACKSLASH@
556 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
557 @am__fastdepCC_FALSE@   $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS) -c -o log_usage.obj `if test -f 'xbt/log_usage.c'; then $(CYGPATH_W) 'xbt/log_usage.c'; else $(CYGPATH_W) '$(srcdir)/xbt/log_usage.c'; fi`
558
559 mostlyclean-libtool:
560         -rm -f *.lo
561
562 clean-libtool:
563         -rm -rf .libs _libs
564         -rm -rf simdag/.libs simdag/_libs
565         -rm -rf surf/.libs surf/_libs
566         -rm -rf xbt/.libs xbt/_libs
567
568 ID: $(HEADERS) $(SOURCES) $(LISP) $(TAGS_FILES)
569         list='$(SOURCES) $(HEADERS) $(LISP) $(TAGS_FILES)'; \
570         unique=`for i in $$list; do \
571             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
572           done | \
573           $(AWK) '{ files[$$0] = 1; nonemtpy = 1; } \
574               END { if (nonempty) { for (i in files) print i; }; }'`; \
575         mkid -fID $$unique
576 tags: TAGS
577
578 TAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
579                 $(TAGS_FILES) $(LISP)
580         tags=; \
581         here=`pwd`; \
582         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
583         unique=`for i in $$list; do \
584             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
585           done | \
586           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
587               END { if (nonempty) { for (i in files) print i; }; }'`; \
588         if test -z "$(ETAGS_ARGS)$$tags$$unique"; then :; else \
589           test -n "$$unique" || unique=$$empty_fix; \
590           $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
591             $$tags $$unique; \
592         fi
593 ctags: CTAGS
594 CTAGS:  $(HEADERS) $(SOURCES)  $(TAGS_DEPENDENCIES) \
595                 $(TAGS_FILES) $(LISP)
596         tags=; \
597         list='$(SOURCES) $(HEADERS)  $(LISP) $(TAGS_FILES)'; \
598         unique=`for i in $$list; do \
599             if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
600           done | \
601           $(AWK) '{ files[$$0] = 1; nonempty = 1; } \
602               END { if (nonempty) { for (i in files) print i; }; }'`; \
603         test -z "$(CTAGS_ARGS)$$tags$$unique" \
604           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
605              $$tags $$unique
606
607 GTAGS:
608         here=`$(am__cd) $(top_builddir) && pwd` \
609           && cd $(top_srcdir) \
610           && gtags -i $(GTAGS_ARGS) $$here
611
612 distclean-tags:
613         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
614
615 check-TESTS: $(TESTS)
616         @failed=0; all=0; xfail=0; xpass=0; skip=0; ws='[        ]'; \
617         srcdir=$(srcdir); export srcdir; \
618         list=' $(TESTS) '; \
619         if test -n "$$list"; then \
620           for tst in $$list; do \
621             if test -f ./$$tst; then dir=./; \
622             elif test -f $$tst; then dir=; \
623             else dir="$(srcdir)/"; fi; \
624             if $(TESTS_ENVIRONMENT) $${dir}$$tst; then \
625               all=`expr $$all + 1`; \
626               case " $(XFAIL_TESTS) " in \
627               *$$ws$$tst$$ws*) \
628                 xpass=`expr $$xpass + 1`; \
629                 failed=`expr $$failed + 1`; \
630                 echo "XPASS: $$tst"; \
631               ;; \
632               *) \
633                 echo "PASS: $$tst"; \
634               ;; \
635               esac; \
636             elif test $$? -ne 77; then \
637               all=`expr $$all + 1`; \
638               case " $(XFAIL_TESTS) " in \
639               *$$ws$$tst$$ws*) \
640                 xfail=`expr $$xfail + 1`; \
641                 echo "XFAIL: $$tst"; \
642               ;; \
643               *) \
644                 failed=`expr $$failed + 1`; \
645                 echo "FAIL: $$tst"; \
646               ;; \
647               esac; \
648             else \
649               skip=`expr $$skip + 1`; \
650               echo "SKIP: $$tst"; \
651             fi; \
652           done; \
653           if test "$$failed" -eq 0; then \
654             if test "$$xfail" -eq 0; then \
655               banner="All $$all tests passed"; \
656             else \
657               banner="All $$all tests behaved as expected ($$xfail expected failures)"; \
658             fi; \
659           else \
660             if test "$$xpass" -eq 0; then \
661               banner="$$failed of $$all tests failed"; \
662             else \
663               banner="$$failed of $$all tests did not behave as expected ($$xpass unexpected passes)"; \
664             fi; \
665           fi; \
666           dashes="$$banner"; \
667           skipped=""; \
668           if test "$$skip" -ne 0; then \
669             skipped="($$skip tests were not run)"; \
670             test `echo "$$skipped" | wc -c` -le `echo "$$banner" | wc -c` || \
671               dashes="$$skipped"; \
672           fi; \
673           report=""; \
674           if test "$$failed" -ne 0 && test -n "$(PACKAGE_BUGREPORT)"; then \
675             report="Please report to $(PACKAGE_BUGREPORT)"; \
676             test `echo "$$report" | wc -c` -le `echo "$$banner" | wc -c` || \
677               dashes="$$report"; \
678           fi; \
679           dashes=`echo "$$dashes" | sed s/./=/g`; \
680           echo "$$dashes"; \
681           echo "$$banner"; \
682           test -z "$$skipped" || echo "$$skipped"; \
683           test -z "$$report" || echo "$$report"; \
684           echo "$$dashes"; \
685           test "$$failed" -eq 0; \
686         else :; fi
687
688 distdir: $(DISTFILES)
689         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
690         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
691         list='$(DISTFILES)'; \
692           dist_files=`for file in $$list; do echo $$file; done | \
693           sed -e "s|^$$srcdirstrip/||;t" \
694               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
695         case $$dist_files in \
696           */*) $(MKDIR_P) `echo "$$dist_files" | \
697                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
698                            sort -u` ;; \
699         esac; \
700         for file in $$dist_files; do \
701           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
702           if test -d $$d/$$file; then \
703             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
704             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
705               cp -pR $(srcdir)/$$file $(distdir)$$dir || exit 1; \
706             fi; \
707             cp -pR $$d/$$file $(distdir)$$dir || exit 1; \
708           else \
709             test -f $(distdir)/$$file \
710             || cp -p $$d/$$file $(distdir)/$$file \
711             || exit 1; \
712           fi; \
713         done
714 check-am: all-am
715         $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS) $(check_SCRIPTS)
716         $(MAKE) $(AM_MAKEFLAGS) check-TESTS
717 check: check-am
718 all-am: Makefile
719 installdirs:
720 install: install-am
721 install-exec: install-exec-am
722 install-data: install-data-am
723 uninstall: uninstall-am
724
725 install-am: all-am
726         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
727
728 installcheck: installcheck-am
729 install-strip:
730         $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
731           install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
732           `test -z '$(STRIP)' || \
733             echo "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'"` install
734 mostlyclean-generic:
735
736 clean-generic:
737         -test -z "$(CLEANFILES)" || rm -f $(CLEANFILES)
738
739 distclean-generic:
740         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
741         -rm -f simdag/$(am__dirstamp)
742         -rm -f surf/$(am__dirstamp)
743         -rm -f xbt/$(am__dirstamp)
744         -test -z "$(DISTCLEANFILES)" || rm -f $(DISTCLEANFILES)
745
746 maintainer-clean-generic:
747         @echo "This command is intended for maintainers to use"
748         @echo "it deletes files that may require special tools to rebuild."
749 clean: clean-am
750
751 clean-am: clean-checkPROGRAMS clean-generic clean-libtool \
752         mostlyclean-am
753
754 distclean: distclean-am
755         -rm -rf ./$(DEPDIR)
756         -rm -f Makefile
757 distclean-am: clean-am distclean-compile distclean-generic \
758         distclean-tags
759
760 dvi: dvi-am
761
762 dvi-am:
763
764 html: html-am
765
766 info: info-am
767
768 info-am:
769
770 install-data-am:
771
772 install-dvi: install-dvi-am
773
774 install-exec-am:
775
776 install-html: install-html-am
777
778 install-info: install-info-am
779
780 install-man:
781
782 install-pdf: install-pdf-am
783
784 install-ps: install-ps-am
785
786 installcheck-am:
787
788 maintainer-clean: maintainer-clean-am
789         -rm -rf ./$(DEPDIR)
790         -rm -f Makefile
791 maintainer-clean-am: distclean-am maintainer-clean-generic
792
793 mostlyclean: mostlyclean-am
794
795 mostlyclean-am: mostlyclean-compile mostlyclean-generic \
796         mostlyclean-libtool
797
798 pdf: pdf-am
799
800 pdf-am:
801
802 ps: ps-am
803
804 ps-am:
805
806 uninstall-am:
807
808 .MAKE: install-am install-strip
809
810 .PHONY: CTAGS GTAGS all all-am check check-TESTS check-am clean \
811         clean-checkPROGRAMS clean-generic clean-libtool ctags \
812         distclean distclean-compile distclean-generic \
813         distclean-libtool distclean-tags distdir dvi dvi-am html \
814         html-am info info-am install install-am install-data \
815         install-data-am install-dvi install-dvi-am install-exec \
816         install-exec-am install-html install-html-am install-info \
817         install-info-am install-man install-pdf install-pdf-am \
818         install-ps install-ps-am install-strip installcheck \
819         installcheck-am installdirs maintainer-clean \
820         maintainer-clean-generic mostlyclean mostlyclean-compile \
821         mostlyclean-generic mostlyclean-libtool pdf pdf-am ps ps-am \
822         tags uninstall uninstall-am
823
824
825 test: $(noinst_PROGRAMS) $(noinst_SCRIPTS)
826         ./run_tests
827 valgrind: $(noinst_PROGRAMS) $(noinst_SCRIPTS)
828         ./run_tests valgrind
829
830 dist-files:
831         @for n in $(DISTFILES) ; do echo $(SRCFILE)$$n; done
832         @echo
833         @for n in $(DIST_SUBDIRS) ; do if [ x$$n != x. ] ; then $(MAKE) -C $$n dist-files SRCFILE=$(SRCFILE)$$n/ ; fi; done
834 # Tell versions [3.59,3.63) of GNU make to not export all variables.
835 # Otherwise a system limit (for SysV at least) may be exceeded.
836 .NOEXPORT: